## React forms made simple

Create forms declaratively and react-supercharged-forms will take care of the rest. Gain all of the benefits of React, without having to bind callbacks to all of your inputs.

![A simple form](http://imgur.com/UAa7xj6.png)
![A simple form](http://imgur.com/UKHavU2.png)

To get the result of form submissions, just add a submit Handler to `Form`

## New input types

As well as supporting all HTML5 inputs types, Coordinates, geo bounding box and drop downs are supported.

![Geolocation inputs](http://imgur.com/dWZV09m.png)
![Geolocation inputs](http://imgur.com/nFNS0tB.png)

## Custom form inputs

Creating custom form inputs yourself is straightforward. Create a new component extending `FormControl` and use it alongside the other input components in your form.
